# -*- coding: utf-8 -*-
# please visit http://www.iptvxtra.net

import os,sys,xbmcplugin,xbmcgui,xbmc,xbmcaddon,urllib

plugin_handle = int(sys.argv[1])
addonID = 'plugin.video.iptvxtra-atv'
addon = xbmcaddon.Addon(id = addonID)
addonPath = addon.getAddonInfo('path')
profilePath = addon.getAddonInfo('profile')
icon = xbmc.translatePath( os.path.join( addonPath , 'icon.png' ) )


def add_video(url, infolabels, img=''):
    listitem = xbmcgui.ListItem(infolabels['title'], iconImage=img, thumbnailImage=img)
    listitem.setInfo('video', infolabels)
    listitem.setProperty('IsPlayable', 'true')
    xbmcplugin.addDirectoryItem(plugin_handle, url, listitem, isFolder=False)

add_video('rtmp://augsburgtv.iptv-playoutcenter.de:1935/augsburgtv/ playpath=augsburgtv.stream_1 swfUrl=http://flowcenter2.flowworks.de/channelmanager/templates/default/template/jwplayer/jwplayer.flash.swf pageUrl=http://www.augsburg.tv/livestream/livestream-augsburg_tv.html live=1',{ 'title': 'a.tv 960x540'}, icon)
add_video('rtmp://augsburgtv.iptv-playoutcenter.de:1935/augsburgtv/ playpath=augsburgtv.stream_2 swfUrl=http://flowcenter2.flowworks.de/channelmanager/templates/default/template/jwplayer/jwplayer.flash.swf pageUrl=http://www.augsburg.tv/livestream/livestream-augsburg_tv.html live=1',{ 'title': 'a.tv 704x576'}, icon)
add_video('rtmp://augsburgtv.iptv-playoutcenter.de:1935/augsburgtv/ playpath=augsburgtv.stream_3 swfUrl=http://flowcenter2.flowworks.de/channelmanager/templates/default/template/jwplayer/jwplayer.flash.swf pageUrl=http://www.augsburg.tv/livestream/livestream-augsburg_tv.html live=1',{ 'title': 'a.tv 512x288'}, icon)

xbmcplugin.endOfDirectory(plugin_handle)
xbmc.executebuiltin("Container.SetViewMode(500)")